"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateAddressListFromText = function (rawData) {
    var lines = rawData
        .split('\n')
        .filter(function (line) { return line.length > 0; });
    return lines.map(function (line) {
        var address = line.split(',');
        if (address.length !== 4)
            throw new Error('CSV was broken.');
        return address.map(function (item) {
            return item.replace(/"/g, '');
        });
    });
};
exports.extractTargetAddress = function (postCodeBack, addressList) {
    return addressList.filter(function (address) { return address[0] === postCodeBack; });
};
var removeFirstItemFromAddress = function (address) {
    var copiedArray = address.slice();
    copiedArray.shift();
    if (copiedArray.length !== 3) {
        throw new Error('Failed removeFirstItemFromAddress.');
    }
    return copiedArray;
};
exports.normalizeAddressList = function (addressList) {
    return addressList.map(function (address) { return removeFirstItemFromAddress(address); });
};
//# sourceMappingURL=address.js.map